/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 *
 * This Source Code Form is "Incompatible With Secondary Licenses", as
 * defined by the Mozilla Public License, v. 2.0.
 */

@media only screen and (max-device-width: 720px) {
  #header {
    display: none;
  }

  .cookie-notify {
    display: none;
  }

  #login .field-login label,
  #login .field-password label {
    display: block;
  }

  #login .field-login,
  #login .field-password {
    padding-top: 0;
    padding-bottom: 0;
    line-height: auto;
  }

  #login .field-remember {
    margin-left: 0;
  }

  #login .field-submit {
    padding-top: 4px;
  }

  h1 {
    font-size: var(--line-height-comfortable);
  }

  .verify-totp input[type="text"] {
    font-size: var(--font-size-h2);
  }

  .verify-totp input[type="submit"] {
    font-size: inherit;
  }
}

@media only screen and (-webkit-min-device-pixel-ratio: 2),
only screen and (min--moz-device-pixel-ratio: 2),
only screen and (-o-min-device-pixel-ratio: 2/1),
only screen and (min-device-pixel-ratio: 2),
only screen and (min-resolution: 192dpi),
only screen and (min-resolution: 2dppx) {
  body {
    font-size: medium;
  }

  label.checkbox-note {
    font-size: small;
  }
}
